#
# spec file for package hatari (Version 0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound kdelibs-artsd xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         hatari
Copyright:    GPL
Group:        Applications/Emulators
#Requires:     xforms
Autoreqprov:  on
Version:      0.10
Release:      90
Summary:      an Atari ST emulator suitable for playing games
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}-%{version}.dif

%description
Hatari is the Linux port of WinSTon, an Atari ST emulator for Windows. Unlike
other ST emulators which concentrate on desktop compatibility it is suitable
for playing games.

Authors:
--------
    Thomas Huth <thothy@gmx.net> 
    Stefan Berndtsson <stefan@nocrew.org> 
    

SuSE series: emu

%prep
%setup
%patch

%build
export RPM_OPT_FLAGS
cd src
make

%install
rm -fr /usr/lib/hatari
install -d -m 755 /usr/lib/hatari
install -m 755 src/hatari /usr/X11R6/bin

%files
%doc README.SuSE *.txt ChangeLog
/usr/X11R6/bin/hatari
%dir /usr/lib/hatari

%changelog -n hatari
* Wed Aug 22 2001 - uli@suse.de
- update -> 0.10:
  * Improved CPU cycles emulation. Most instructions now return the
  right cycles, I hope.
  * Added Spec512 support.
  * Added some shortcuts
  * Added the possibility to switch between fullscreen and window mode.
  * Started working on better CPU cycles emulation (well, they are
  a real mess!).
  * Added ST Medium resolution.
  * Added Sven's debugger patch.
  * Added Sven de Marothy's screenshot patch. It allows taking screenshots
  by pressing ALTGR-G.
  * Added sound support. Does not yet work perfect, but at least there
  are some noises now :-) (Use option --sound to enable it).
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <kdelibs kdelibs-devel> to <kdelibs-artsd>
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Thu Jul 12 2001 - uli@suse.de
- initial package
